Product comparison · 2 ip phones

Yealink MP58 Zoom Edition vs Yealink T58W(Pro) with Camera

Add a product
  • 41specifications compared
  • 10differ
  • 31identical
  • 65known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 24 mm more height than the Yealink MP58 Zoom Edition (239 mm vs 215 mm). The Yealink T58W(Pro) with Camera has 31 mm more package width than the Yealink MP58 Zoom Edition (324 mm vs 293 mm). The Yealink MP58 Zoom Edition has 31 mm more package depth than the Yealink T58W(Pro) with Camera (324 mm vs 293 mm). Handset type: Wired handset on the Yealink MP58 Zoom Edition, Wireless handset on the Yealink T58W(Pro) with Camera. Security algorithms: HTTPS, TLS on the Yealink MP58 Zoom Edition, 256-bit AES, HTTPS, TLS, WPA2, WPA3 on the Yealink T58W(Pro) with Camera.

  • Handset type
    • MP58 Zoom Edition:Wired handset
    • T58W(Pro) with Camera:Wireless handset
  • Operating relative humidity (H-H)
    • MP58 Zoom Edition:10 - 95%
    • T58W(Pro) with Camera:5 - 90%
  • Operating temperature (T-T)
    • MP58 Zoom Edition:-10 - 50 °C
    • T58W(Pro) with Camera:-10 - 45 °C
  • Height
    • MP58 Zoom Edition:215 mm
    • T58W(Pro) with Camera:239 mm
  • Package width
    • MP58 Zoom Edition:293 mm
    • T58W(Pro) with Camera:324 mm
  • Package depth
    • MP58 Zoom Edition:324 mm
    • T58W(Pro) with Camera:293 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of MP58 Zoom Edition, T58W(Pro) with Camera
106 specifications
Design1 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourGreyGrey
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Device lockKnown for oneYesUnknown — not stated by the source
MountingKnown for oneDesk/WallUnknown — not stated by the source
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Hearing aid compatibilityYesYes
Operating system installedKnown for oneAndroidUnknown — not stated by the source
Operating system versionKnown for one9.0Unknown — not stated by the source
Compatible productsKnown for oneZoom/YealinkUnknown — not stated by the source
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingYesYes
Call holdYesYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnYesYes
Call transferYesYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDKnown for oneUnknown — not stated by the sourceYes
Conference callYesYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexYesYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
PSTN callsKnown for oneYesUnknown — not stated by the source
Synchronized call logsKnown for oneYesUnknown — not stated by the source
Emergency callKnown for oneYesUnknown — not stated by the source
Management featuresidentical
Integrated voicemailYesYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Displayidentical
DisplayLCDLCD
Display diagonal17.8 cm (7")17.8 cm (7")
Display resolution1024 x 600 pixels1024 x 600 pixels
TouchscreenYesYes
Touchscreen typeCapacitiveCapacitive
Number of simultaneous touchpointsKnown for one5Unknown — not stated by the source
Graphical user interface (GUI) languageKnown for oneMultiUnknown — not stated by the source
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
SpeakerphoneYesYes
Microphone muteYesYes
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionYesYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsDiffersAGC, AJB, CNG, G.711, G.722, G.722.1, G.722.1C, G.723, G.726, G.729A, G.729B, PLC, Silk, VAD, iLBCG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Network3 differ
Ethernet LANYesYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source1000 Mbit/s
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiYesYes
Wi-Fi standards802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothYesYes
Bluetooth version4.24.2
Networking standardsDiffersIEEE 802.3afIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsDiffersHTTPS, TLS256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsDiffersIPv4/IPv6/IPv4&IPv6, SNTPIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
USB 2.0 ports quantity22
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source2
RJ-9 ports quantity22
Cable lock slotKnown for oneYesUnknown — not stated by the source
Poweridentical
Power over Ethernet (PoE)YesYes
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
USB output currentKnown for one0.5 AUnknown — not stated by the source
Power consumption (typical)Known for one7 WUnknown — not stated by the source
Power consumption (Power over Ethernet (PoE))Known for one7.6 WUnknown — not stated by the source
Energy saving modeKnown for oneYesUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs10 - 95%5 - 90%
Operating temperature (T-T)Differs-10 - 50 °C-10 - 45 °C
Weight & dimensions3 differ
Width259.4 mm259.4 mm
Depth220 mm220 mm
HeightDiffers215 mm239 mm
Package widthDiffers293 mm324 mm
Package depthDiffers324 mm293 mm
Package height128 mm128 mm
Package weightKnown for oneUnknown — not stated by the source8.8 kg
Packaging contentidentical
Number of handles included1 pc(s)1 pc(s)
Cables includedKnown for oneLAN (RJ-45)Unknown — not stated by the source
Ethernet cableKnown for oneYesUnknown — not stated by the source
HandsetKnown for oneYesUnknown — not stated by the source
Quick start guideKnown for oneYesUnknown — not stated by the source
Stand includedKnown for oneYesUnknown — not stated by the source
Certificatesidentical
CertificationKnown for oneCE, FCC, RoHS, ISO 9001, CCC, REACHUnknown — not stated by the source
Logistics dataidentical
Master (outer) case gross weightKnown for one9.1 kgUnknown — not stated by the source
Master (outer) case heightKnown for one342 mmUnknown — not stated by the source
Master (outer) case lengthKnown for one680 mmUnknown — not stated by the source
Master (outer) case net weightKnown for one8.5 kgUnknown — not stated by the source
Master (outer) case widthKnown for one303 mmUnknown — not stated by the source
Products per master (outer) caseKnown for one5 pc(s)Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons